diff --git a/android/guava-tests/test/com/google/common/collect/MapsTest.java b/android/guava-tests/test/com/google/common/collect/MapsTest.java
index 76394c8..ca8d04f 100644
--- a/android/guava-tests/test/com/google/common/collect/MapsTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MapsTest.java
@@ -24,8 +24,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.truth.Truth.assertWithMessage;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Converter;
 import com.google.common.base.Equivalence;
 import com.google.common.base.Function;
@@ -71,7 +69,6 @@ import junit.framework.TestCase;
  * @author Mike Bostock
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class MapsTest extends TestCase {
 
   private static final Comparator<Integer> SOME_COMPARATOR = Collections.reverseOrder();
@@ -117,7 +114,7 @@ public class MapsTest extends TestCase {
    *
    * <p>This test may fail miserably on non-OpenJDK environments...
    */
-  @GwtIncompatible // reflection
+  // reflection
   @AndroidIncompatible // relies on assumptions about OpenJDK
   public void testNewHashMapWithExpectedSize_wontGrow() throws Exception {
     // before jdk7u40: creates one-bucket table
@@ -131,7 +128,7 @@ public class MapsTest extends TestCase {
   }
 
   /** Same test as above but for newLinkedHashMapWithExpectedSize */
-  @GwtIncompatible // reflection
+  // reflection
   @AndroidIncompatible // relies on assumptions about OpenJDK
   public void testNewLinkedHashMapWithExpectedSize_wontGrow() throws Exception {
     assertTrue(bucketsOf(Maps.newLinkedHashMapWithExpectedSize(0)) <= 1);
@@ -144,7 +141,7 @@ public class MapsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   private static void assertWontGrow(
       int size, HashMap<Object, Object> map1, HashMap<Object, Object> map2) throws Exception {
     // Only start measuring table size after the first element inserted, to
@@ -170,7 +167,7 @@ public class MapsTest extends TestCase {
         .isEqualTo(initialBuckets);
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   private static int bucketsOf(HashMap<?, ?> hashMap) throws Exception {
     Field tableField = HashMap.class.getDeclaredField("table");
     tableField.setAccessible(true);
@@ -366,7 +363,7 @@ public class MapsTest extends TestCase {
     assertEquals(hashmap.toString(), Maps.toStringImpl(hashmap));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     new NullPointerTester().testAllPublicStaticMethods(Maps.class);
   }
@@ -773,7 +770,7 @@ public class MapsTest extends TestCase {
     assertNull(map.get("five"));
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testAsMapNavigable() {
     NavigableSet<String> strings = Sets.newTreeSet(asList("one", "two", "three"));
     NavigableMap<String, Integer> map = Maps.asMap(strings, LENGTH_FUNCTION);
@@ -820,7 +817,7 @@ public class MapsTest extends TestCase {
     assertEquals(1, map.size());
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testAsMapNavigableReadsThrough() {
     NavigableSet<String> strings = Sets.newTreeSet();
     Collections.addAll(strings, "one", "two", "three");
@@ -854,7 +851,7 @@ public class MapsTest extends TestCase {
         .inOrder();
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testAsMapNavigableWritesThrough() {
     NavigableSet<String> strings = Sets.newTreeSet();
     Collections.addAll(strings, "one", "two", "three");
@@ -866,7 +863,7 @@ public class MapsTest extends TestCase {
     assertThat(strings).contains("one");
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testAsMapNavigableSubViewKeySetsDoNotSupportAdd() {
     NavigableMap<String, Integer> map = Maps.asMap(Sets.<String>newTreeSet(), LENGTH_FUNCTION);
     try {
@@ -896,7 +893,7 @@ public class MapsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testAsMapNavigableEmpty() {
     NavigableSet<String> strings = ImmutableSortedSet.of();
     NavigableMap<String, Integer> map = Maps.asMap(strings, LENGTH_FUNCTION);
@@ -1014,7 +1011,7 @@ public class MapsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Maps.fromProperties
+  // Maps.fromProperties
   @SuppressWarnings("deprecation") // StringBufferInputStream
   public void testFromProperties() throws IOException {
     Properties testProp = new Properties();
@@ -1063,7 +1060,7 @@ public class MapsTest extends TestCase {
     assertNotSame(System.getProperty("java.version"), result.get("java.version"));
   }
 
-  @GwtIncompatible // Maps.fromProperties
+  // Maps.fromProperties
   @SuppressWarnings("serial") // never serialized
   public void testFromPropertiesNullKey() {
     Properties properties =
@@ -1083,7 +1080,7 @@ public class MapsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Maps.fromProperties
+  // Maps.fromProperties
   @SuppressWarnings("serial") // never serialized
   public void testFromPropertiesNonStringKeys() {
     Properties properties =
@@ -1679,7 +1676,7 @@ public class MapsTest extends TestCase {
     assertEquals(ImmutableSortedMap.of("a", 2.0, "b", 3.0), transformed);
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testNavigableMapTransformValues() {
     NavigableMap<String, Integer> map = ImmutableSortedMap.of("a", 4, "b", 9);
     NavigableMap<String, Double> transformed = transformValues(map, SQRT_FUNCTION);
@@ -1705,7 +1702,7 @@ public class MapsTest extends TestCase {
     assertEquals(ImmutableSortedMap.of("a", "a4", "b", "b9"), transformed);
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testNavigableMapTransformEntries() {
     NavigableMap<String, String> map = ImmutableSortedMap.of("a", "4", "b", "9");
     EntryTransformer<String, String, String> concat =
@@ -1720,7 +1717,7 @@ public class MapsTest extends TestCase {
     assertEquals(ImmutableSortedMap.of("a", "a4", "b", "b9"), transformed);
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testUnmodifiableNavigableMap() {
     TreeMap<Integer, String> mod = Maps.newTreeMap();
     mod.put(1, "one");
@@ -1830,7 +1827,7 @@ public class MapsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   void ensureNotDirectlyModifiable(NavigableMap<Integer, String> unmod) {
     try {
       unmod.put(4, "four");
@@ -1859,7 +1856,7 @@ public class MapsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testSubMap_boundedRange() {
     ImmutableSortedMap<Integer, Integer> map = ImmutableSortedMap.of(2, 0, 4, 0, 6, 0, 8, 0, 10, 0);
     ImmutableSortedMap<Integer, Integer> empty = ImmutableSortedMap.of();
@@ -1889,7 +1886,7 @@ public class MapsTest extends TestCase {
     assertEquals(empty, Maps.subMap(map, Range.closedOpen(20, 30)));
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testSubMap_halfBoundedRange() {
     ImmutableSortedMap<Integer, Integer> map = ImmutableSortedMap.of(2, 0, 4, 0, 6, 0, 8, 0, 10, 0);
     ImmutableSortedMap<Integer, Integer> empty = ImmutableSortedMap.of();
@@ -1916,14 +1913,14 @@ public class MapsTest extends TestCase {
     assertEquals(map, Maps.subMap(map, Range.atMost(20)));
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testSubMap_unboundedRange() {
     ImmutableSortedMap<Integer, Integer> map = ImmutableSortedMap.of(2, 0, 4, 0, 6, 0, 8, 0, 10, 0);
 
     assertEquals(map, Maps.subMap(map, Range.<Integer>all()));
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   public void testSubMap_unnaturalOrdering() {
     ImmutableSortedMap<Integer, Integer> map =
         ImmutableSortedMap.<Integer, Integer>reverseOrder()
diff --git a/android/guava-tests/test/com/google/common/collect/MapsTransformValuesTest.java b/android/guava-tests/test/com/google/common/collect/MapsTransformValuesTest.java
index d81f546..db210ba 100644
--- a/android/guava-tests/test/com/google/common/collect/MapsTransformValuesTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MapsTransformValuesTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
 import com.google.common.collect.testing.MapInterfaceTest;
@@ -25,14 +24,12 @@ import java.util.Iterator;
 import java.util.Map;
 import java.util.Map.Entry;
 import java.util.Set;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Tests for {@link Maps#transformValues}.
  *
  * @author Isaac Shum
  */
-@GwtCompatible
 public class MapsTransformValuesTest extends MapInterfaceTest<String, String> {
 
   /**
diff --git a/android/guava-tests/test/com/google/common/collect/MapsTransformValuesUnmodifiableIteratorTest.java b/android/guava-tests/test/com/google/common/collect/MapsTransformValuesUnmodifiableIteratorTest.java
index 81a2d93..e552231 100644
--- a/android/guava-tests/test/com/google/common/collect/MapsTransformValuesUnmodifiableIteratorTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MapsTransformValuesUnmodifiableIteratorTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
 import com.google.common.collect.testing.MapInterfaceTest;
@@ -25,7 +24,6 @@ import java.util.Iterator;
 import java.util.Map;
 import java.util.Map.Entry;
 import java.util.Set;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Tests for {@link Maps#transformValues} when the backing map's views have iterators that don't
@@ -33,7 +31,6 @@ import org.checkerframework.checker.nullness.compatqual.NullableDecl;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public class MapsTransformValuesUnmodifiableIteratorTest extends MapInterfaceTest<String, String> {
   // TODO(jlevy): Move shared code of this class and MapsTransformValuesTest
   // to a superclass.
diff --git a/android/guava-tests/test/com/google/common/collect/MinMaxPriorityQueueTest.java b/android/guava-tests/test/com/google/common/collect/MinMaxPriorityQueueTest.java
index 5471e36..587fd8d 100644
--- a/android/guava-tests/test/com/google/common/collect/MinMaxPriorityQueueTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MinMaxPriorityQueueTest.java
@@ -21,8 +21,6 @@ import static com.google.common.collect.Platform.reduceExponentIfGwt;
 import static com.google.common.collect.Platform.reduceIterationsIfGwt;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.IteratorFeature;
 import com.google.common.collect.testing.IteratorTester;
 import com.google.common.collect.testing.QueueTestSuiteBuilder;
@@ -54,11 +52,10 @@ import junit.framework.TestSuite;
  * @author Alexei Stolboushkin
  * @author Sverre Sundsdal
  */
-@GwtCompatible(emulated = true)
 public class MinMaxPriorityQueueTest extends TestCase {
   private static final Ordering<Integer> SOME_COMPARATOR = Ordering.natural().reverse();
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(MinMaxPriorityQueueTest.class);
@@ -886,7 +883,7 @@ public class MinMaxPriorityQueueTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicConstructors(MinMaxPriorityQueue.class);
diff --git a/android/guava-tests/test/com/google/common/collect/MultimapBuilderTest.java b/android/guava-tests/test/com/google/common/collect/MultimapBuilderTest.java
index 5528aba..e7c72c6 100644
--- a/android/guava-tests/test/com/google/common/collect/MultimapBuilderTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MultimapBuilderTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.MultimapBuilder.MultimapBuilderWithKeys;
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
@@ -33,10 +31,9 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class MultimapBuilderTest extends TestCase {
 
-  @GwtIncompatible // doesn't build without explicit type parameters on build() methods
+  // doesn't build without explicit type parameters on build() methods
   public void testGenerics() {
     ListMultimap<String, Integer> a = MultimapBuilder.hashKeys().arrayListValues().build();
     SortedSetMultimap<String, Integer> b = MultimapBuilder.linkedHashKeys().treeSetValues().build();
@@ -55,7 +52,7 @@ public class MultimapBuilderTest extends TestCase {
             .<String, Integer>build();
   }
 
-  @GwtIncompatible // doesn't build without explicit type parameters on build() methods
+  // doesn't build without explicit type parameters on build() methods
   public void testTreeKeys() {
     ListMultimap<String, Integer> multimap = MultimapBuilder.treeKeys().arrayListValues().build();
     assertTrue(multimap.keySet() instanceof SortedSet);
@@ -69,7 +66,7 @@ public class MultimapBuilderTest extends TestCase {
     assertTrue(multimap.asMap() instanceof SortedMap);
   }
 
-  @GwtIncompatible // serialization
+  // serialization
   public void testSerialization() throws Exception {
     for (MultimapBuilderWithKeys<?> builderWithKeys :
         ImmutableList.of(
@@ -93,14 +90,14 @@ public class MultimapBuilderTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // serialization
+  // serialization
   private static void reserializeAndAssert(Object object) throws Exception {
     Object copy = reserialize(object);
     assertEquals(object, copy);
     assertEquals(object.getClass(), copy.getClass());
   }
 
-  @GwtIncompatible // serialization
+  // serialization
   private static Object reserialize(Object object) throws Exception {
     ByteArrayOutputStream bytes = new ByteArrayOutputStream();
     new ObjectOutputStream(bytes).writeObject(object);
diff --git a/android/guava-tests/test/com/google/common/collect/MultimapsCollectionTest.java b/android/guava-tests/test/com/google/common/collect/MultimapsCollectionTest.java
index e684c3b..21da89c 100644
--- a/android/guava-tests/test/com/google/common/collect/MultimapsCollectionTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MultimapsCollectionTest.java
@@ -27,7 +27,6 @@ import static com.google.common.collect.testing.google.MultisetIteratorTester.ge
 import static com.google.common.collect.testing.google.MultisetRemoveTester.getRemoveDuplicateInitializingMethods;
 import static java.lang.reflect.Proxy.newProxyInstance;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Ascii;
 import com.google.common.base.Function;
 import com.google.common.base.Predicate;
@@ -70,7 +69,7 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtIncompatible // suite // TODO(cpovirk): set up collect/gwt/suites version
+// suite // TODO(cpovirk): set up collect/gwt/suites version
 public class MultimapsCollectionTest extends TestCase {
 
   private static final Feature<?>[] FOR_MAP_FEATURES_ONE = {
diff --git a/android/guava-tests/test/com/google/common/collect/MultimapsFilterEntriesAsMapTest.java b/android/guava-tests/test/com/google/common/collect/MultimapsFilterEntriesAsMapTest.java
index 314a127..eafbe5f 100644
--- a/android/guava-tests/test/com/google/common/collect/MultimapsFilterEntriesAsMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MultimapsFilterEntriesAsMapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Predicate;
 import java.util.Collection;
 import java.util.Map;
@@ -27,7 +26,6 @@ import java.util.Map.Entry;
  *
  * @author Jared Levy
  */
-@GwtIncompatible(value = "untested")
 public class MultimapsFilterEntriesAsMapTest extends AbstractMultimapAsMapImplementsMapTest {
   private static final Predicate<Entry<String, Integer>> PREDICATE =
       new Predicate<Entry<String, Integer>>() {
diff --git a/android/guava-tests/test/com/google/common/collect/MultimapsTest.java b/android/guava-tests/test/com/google/common/collect/MultimapsTest.java
index 1a8f84e..3df8cdf 100644
--- a/android/guava-tests/test/com/google/common/collect/MultimapsTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MultimapsTest.java
@@ -24,8 +24,6 @@ import static com.google.common.collect.testing.IteratorFeature.MODIFIABLE;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
 import com.google.common.base.Predicates;
@@ -56,14 +54,12 @@ import java.util.SortedMap;
 import java.util.SortedSet;
 import java.util.TreeSet;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Unit test for {@code Multimaps}.
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class MultimapsTest extends TestCase {
 
   private static final Comparator<Integer> INT_COMPARATOR =
@@ -106,12 +102,12 @@ public class MultimapsTest extends TestCase {
     assertSame(immutable, Multimaps.unmodifiableMultimap((Multimap<String, Integer>) immutable));
   }
 
-  @GwtIncompatible // slow (~10s)
+  // slow (~10s)
   public void testUnmodifiableArrayListMultimap() {
     checkUnmodifiableMultimap(ArrayListMultimap.<String, Integer>create(), true);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializingUnmodifiableArrayListMultimap() {
     Multimap<String, Integer> unmodifiable =
         prepareUnmodifiableTests(ArrayListMultimap.<String, Integer>create(), true, null, null);
@@ -136,37 +132,37 @@ public class MultimapsTest extends TestCase {
     assertFalse(multimap.get("bar") instanceof RandomAccess);
   }
 
-  @GwtIncompatible // slow (~10s)
+  // slow (~10s)
   public void testUnmodifiableHashMultimap() {
     checkUnmodifiableMultimap(HashMultimap.<String, Integer>create(), false);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializingUnmodifiableHashMultimap() {
     Multimap<String, Integer> unmodifiable =
         prepareUnmodifiableTests(HashMultimap.<String, Integer>create(), false, null, null);
     SerializableTester.reserializeAndAssert(unmodifiable);
   }
 
-  @GwtIncompatible // slow (~10s)
+  // slow (~10s)
   public void testUnmodifiableTreeMultimap() {
     checkUnmodifiableMultimap(TreeMultimap.<String, Integer>create(), false, "null", 42);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializingUnmodifiableTreeMultimap() {
     Multimap<String, Integer> unmodifiable =
         prepareUnmodifiableTests(TreeMultimap.<String, Integer>create(), false, "null", 42);
     SerializableTester.reserializeAndAssert(unmodifiable);
   }
 
-  @GwtIncompatible // slow (~10s)
+  // slow (~10s)
   public void testUnmodifiableSynchronizedArrayListMultimap() {
     checkUnmodifiableMultimap(
         Multimaps.synchronizedListMultimap(ArrayListMultimap.<String, Integer>create()), true);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializingUnmodifiableSynchronizedArrayListMultimap() {
     Multimap<String, Integer> unmodifiable =
         prepareUnmodifiableTests(
@@ -177,13 +173,13 @@ public class MultimapsTest extends TestCase {
     SerializableTester.reserializeAndAssert(unmodifiable);
   }
 
-  @GwtIncompatible // slow (~10s)
+  // slow (~10s)
   public void testUnmodifiableSynchronizedHashMultimap() {
     checkUnmodifiableMultimap(
         Multimaps.synchronizedSetMultimap(HashMultimap.<String, Integer>create()), false);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializingUnmodifiableSynchronizedHashMultimap() {
     Multimap<String, Integer> unmodifiable =
         prepareUnmodifiableTests(
@@ -194,7 +190,7 @@ public class MultimapsTest extends TestCase {
     SerializableTester.reserializeAndAssert(unmodifiable);
   }
 
-  @GwtIncompatible // slow (~10s)
+  // slow (~10s)
   public void testUnmodifiableSynchronizedTreeMultimap() {
     TreeMultimap<String, Integer> delegate =
         TreeMultimap.create(Ordering.<String>natural(), INT_COMPARATOR);
@@ -203,7 +199,7 @@ public class MultimapsTest extends TestCase {
     assertSame(INT_COMPARATOR, multimap.valueComparator());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerializingUnmodifiableSynchronizedTreeMultimap() {
     TreeMultimap<String, Integer> delegate =
         TreeMultimap.create(Ordering.<String>natural(), INT_COMPARATOR);
@@ -448,7 +444,7 @@ public class MultimapsTest extends TestCase {
     assertEquals(multimapView, ArrayListMultimap.create());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testForMapSerialization() {
     Map<String, Integer> map = Maps.newHashMap();
     map.put("foo", 1);
@@ -630,7 +626,7 @@ public class MultimapsTest extends TestCase {
     assertTrue(multimap.get(Color.BLUE) instanceof List);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testNewMultimapSerialization() {
     CountingSupplier<Queue<Integer>> factory = new QueueSupplier();
     Map<Color, Collection<Integer>> map = Maps.newEnumMap(Color.class);
@@ -665,7 +661,7 @@ public class MultimapsTest extends TestCase {
     assertTrue(multimap.asMap() instanceof SortedMap);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testNewListMultimapSerialization() {
     CountingSupplier<LinkedList<Integer>> factory = new ListSupplier();
     Map<Color, Collection<Integer>> map = Maps.newTreeMap();
@@ -696,7 +692,7 @@ public class MultimapsTest extends TestCase {
     assertEquals(Sets.newHashSet(4, 3, 1), multimap.get(Color.BLUE));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testNewSetMultimapSerialization() {
     CountingSupplier<Set<Integer>> factory = new SetSupplier();
     Map<Color, Collection<Integer>> map = Maps.newHashMap();
@@ -729,7 +725,7 @@ public class MultimapsTest extends TestCase {
     assertEquals(INT_COMPARATOR, multimap.valueComparator());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testNewSortedSetMultimapSerialization() {
     CountingSupplier<TreeSet<Integer>> factory = new SortedSetSupplier();
     Map<Color, Collection<Integer>> map = Maps.newEnumMap(Color.class);
@@ -812,7 +808,6 @@ public class MultimapsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible(value = "untested")
   public void testTransformValues() {
     SetMultimap<String, Integer> multimap =
         ImmutableSetMultimap.of("a", 2, "b", -3, "b", 3, "a", 4, "c", 6);
@@ -834,7 +829,6 @@ public class MultimapsTest extends TestCase {
         .inOrder();
   }
 
-  @GwtIncompatible(value = "untested")
   public void testTransformValuesIsView() {
     Multimap<String, String> multimap = LinkedListMultimap.create();
     multimap.put("a", "a");
@@ -853,7 +847,6 @@ public class MultimapsTest extends TestCase {
     assertThat(transformed.entries()).containsExactly(immutableEntry("a", 3));
   }
 
-  @GwtIncompatible(value = "untested")
   public void testTransformListValues() {
     ListMultimap<String, Integer> multimap =
         ImmutableListMultimap.of("a", 2, "b", -3, "b", 3, "a", 4, "c", 6);
@@ -875,7 +868,6 @@ public class MultimapsTest extends TestCase {
         .inOrder();
   }
 
-  @GwtIncompatible(value = "untested")
   public void testTransformEntries() {
     SetMultimap<String, Integer> multimap = ImmutableSetMultimap.of("a", 1, "a", 4, "b", -6);
     EntryTransformer<String, Integer, String> transformer =
@@ -892,7 +884,6 @@ public class MultimapsTest extends TestCase {
         .inOrder();
   }
 
-  @GwtIncompatible(value = "untested")
   public void testTransformListEntries() {
     ListMultimap<String, Integer> multimap =
         ImmutableListMultimap.of("a", 1, "a", 4, "b", 6, "a", 4);
@@ -998,7 +989,7 @@ public class MultimapsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     new NullPointerTester().testAllPublicStaticMethods(Multimaps.class);
   }
diff --git a/android/guava-tests/test/com/google/common/collect/MultimapsTransformValuesAsMapTest.java b/android/guava-tests/test/com/google/common/collect/MultimapsTransformValuesAsMapTest.java
index 491a632..4cf7a53 100644
--- a/android/guava-tests/test/com/google/common/collect/MultimapsTransformValuesAsMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MultimapsTransformValuesAsMapTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Functions;
 import java.util.Collection;
 import java.util.Map;
@@ -26,7 +25,6 @@ import java.util.Map;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible
 public class MultimapsTransformValuesAsMapTest extends AbstractMultimapAsMapImplementsMapTest {
 
   public MultimapsTransformValuesAsMapTest() {
diff --git a/android/guava-tests/test/com/google/common/collect/MultisetsCollectionTest.java b/android/guava-tests/test/com/google/common/collect/MultisetsCollectionTest.java
index f143ebd..2e960c5 100644
--- a/android/guava-tests/test/com/google/common/collect/MultisetsCollectionTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MultisetsCollectionTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect;
 
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Objects;
 import com.google.common.base.Predicate;
 import com.google.common.base.Predicates;
@@ -39,7 +38,7 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtIncompatible // suite // TODO(cpovirk): set up collect/gwt/suites version
+// suite // TODO(cpovirk): set up collect/gwt/suites version
 public class MultisetsCollectionTest extends TestCase {
   public static Test suite() {
     TestSuite suite = new TestSuite();
diff --git a/android/guava-tests/test/com/google/common/collect/MultisetsImmutableEntryTest.java b/android/guava-tests/test/com/google/common/collect/MultisetsImmutableEntryTest.java
index bef27b9..4e693fc 100644
--- a/android/guava-tests/test/com/google/common/collect/MultisetsImmutableEntryTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MultisetsImmutableEntryTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.Multiset.Entry;
 import java.util.Collections;
 import junit.framework.TestCase;
@@ -26,7 +25,6 @@ import junit.framework.TestCase;
  *
  * @author Mike Bostock
  */
-@GwtCompatible
 public class MultisetsImmutableEntryTest extends TestCase {
   private static final String NE = null;
 
diff --git a/android/guava-tests/test/com/google/common/collect/MultisetsTest.java b/android/guava-tests/test/com/google/common/collect/MultisetsTest.java
index 32e4408..8f578f0 100644
--- a/android/guava-tests/test/com/google/common/collect/MultisetsTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MultisetsTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedComparable;
 import com.google.common.testing.NullPointerTester;
 import java.util.Arrays;
@@ -34,7 +32,6 @@ import junit.framework.TestCase;
  * @author Jared Levy
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class MultisetsTest extends TestCase {
 
   /* See MultisetsImmutableEntryTest for immutableEntry() tests. */
@@ -272,7 +269,7 @@ public class MultisetsTest extends TestCase {
     assertThat(Multisets.copyHighestCountFirst(ImmutableMultiset.of())).isEmpty();
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     new NullPointerTester().testAllPublicStaticMethods(Multisets.class);
   }
diff --git a/android/guava-tests/test/com/google/common/collect/MutableClassToInstanceMapTest.java b/android/guava-tests/test/com/google/common/collect/MutableClassToInstanceMapTest.java
index 156b62d..f4d5414 100644
--- a/android/guava-tests/test/com/google/common/collect/MutableClassToInstanceMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/MutableClassToInstanceMapTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.collect.ImmutableClassToInstanceMapTest.Impl;
-import com.google.common.collect.ImmutableClassToInstanceMapTest.TestClassToInstanceMapGenerator;
 import com.google.common.collect.testing.MapTestSuiteBuilder;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
diff --git a/android/guava-tests/test/com/google/common/collect/NewCustomTableTest.java b/android/guava-tests/test/com/google/common/collect/NewCustomTableTest.java
index 6ad3aa2..d86ff3e 100644
--- a/android/guava-tests/test/com/google/common/collect/NewCustomTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/NewCustomTableTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Supplier;
 import java.util.Map;
 import java.util.TreeMap;
@@ -28,7 +27,6 @@ import java.util.TreeMap;
  *
  * @author Jared Levy
  */
-@GwtCompatible
 public class NewCustomTableTest extends AbstractTableTest {
 
   @Override
